LALSIM-NS-PARAMS(1)

NAME
lalsim-ns-params - manual page for lalsim-ns-params 2.2.0

DESCRIPTION
usage: /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_science_lalsimulation/lalsimulation/work/lalsimulation-2.2.0/lib/.libs/lalsim-ns-params [options]

-h, --help
    print this message and exit

-m MASS, --mass=MASS
    parameters of a neutron star of mass MASS (solar)

-f FILE, --eos-file=FILE
    use EOS with from data filename FILE

-n NAME, --eos-name=NAME
    use EOS with name NAME

-P, --polytrope
    use single polytrope

-G GAMMA, --gamma=GAMMA
    adiabatic index

-p PRESSURE, --pressure=PRESSURE
    pressure at reference density

-r DENSITY, --density=DENSITY
    reference density

-Q, --piecewisepolytrope
    use 4-parameter piecewise polytrope (PRD 79, 124032 (2009))

-q log(p_1), --logp1=log(p_1)
    log of pressure at rho_1=10^17.7 kg/m^3

-1 Gamma_1, --gamma1=Gamma_1
    adiabatic index <10^17.7 kg/m^3

-2 Gamma_2, --gamma2=Gamma_2
    adiabatic index 10^17.7--10^18 kg/m^3

-3 Gamma_3, --gamma3=Gamma_3
    adiabatic index >10^18.0 kg/m^3

-S --4paramspectraldecomp
    use 4-parameter spectral decomposition (PRD 82, 103011 (2010))

-w SDgamma0, --SDgamma0=SDgamma0
    adiabatic index spectral decomposition coefficient 1 0.2--2.0

-x SDgamma1, --SDgamma1=SDgamma1
    adiabatic index spectral decomposition coefficient 2 -1.6--1.7

-y SDgamma2, --SDgamma2=SDgamma2
    adiabatic index spectral decomposition coefficient 3 -0.8--0.6

-z SDgamma3, --SDgamma3=SDgamma3
    adiabatic index spectral decomposition coefficient 4 -0.2--0.2

  recognized tabulated equations of state:

    ALF1, ALF2, ALF3, ALF4, AP1, AP2, AP3, AP4, APR4_EPP BBB2, BGN1H1, BPAL12, BSK19, BSK20, BSK21, ENG, FPS GNH3, GS1, GS2, H1, H2, H3, H4, H5, H6, H7, MPA1, MS1B MS1B_PP, MS1_PP, MS1, MS2, PAL6, PCL2, PS, QMC700 SLY4, SLY, SQM1, SQM2, SQM3, WFF1, WFF2, WFF3, APR BHF_BBB2, KDE0V, KDE0V1, RS, SK255, SK272, SKA, SKB SKI2, SKI3, SKI4, SKI5, SKI6, SKMP, SKOP, SLY2, SLY230A SLY9, HQC18